## The *set-profile.ps1* Script

This PowerShell script sets the PowerShell profile for the current user.

## Parameters
```powershell
/home/mf/Repos/PowerShell/Scripts/set-profile.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

## Example
```powershell
PS> ./set-profile

```

## Notes
Author: Markus Fleschutz | License: CC0

## Related Links
https://github.com/fleschutz/PowerShell

## Source Code
```powershell
<#
.SYNOPSIS
	Sets the user's PowerShell profile
.DESCRIPTION
	This PowerShell script sets the PowerShell profile for the current user.
.EXAMPLE
	PS> ./set-profile
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

try {
	"⏳ (1/3) Querying path to PowerShell profile 'CurrentUserCurrentHost'..."
	$PathToProfile = $PROFILE.CurrentUserCurrentHost
	"$PathToProfile"

	"⏳ (2/3) Creating the profile (if non-existent)..."
	$Null = New-Item -Path $profile -ItemType "file" -Force

	"⏳ (3/3) Copying my-profile.ps1..."
	$PathToRepo = "$PSScriptRoot/.."
	Copy-Item "$PathToRepo/Scripts/my-profile.ps1" "$PathToProfile" -force

	"✔️ updated your PowerShell profile by my-profile.ps1 - it gets active on next login"
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*Generated by convert-ps2md.ps1 using the comment-based help of set-profile.ps1*
